Index: trunk/LMDZ.MARS/libf/aeronomars/calchim.F90
===================================================================
--- trunk/LMDZ.MARS/libf/aeronomars/calchim.F90	(revision 2024)
+++ trunk/LMDZ.MARS/libf/aeronomars/calchim.F90	(revision 2027)
@@ -91,5 +91,5 @@
       real :: pdq(ngrid,nlayer,nq)   ! previous tendencies
       real :: zday                   ! date (time since Ls=0, in martian days)
-      real :: tauref(ngrid)          ! optical depth at 7 hPa
+      real :: tauref(ngrid)          ! Reference column optical depth
       real :: co2ice(ngrid)          ! co2 ice surface layer (kg.m-2)
       real :: surfdust(ngrid,nlayer) ! dust surface area (m2/m3)
@@ -150,5 +150,5 @@
       real    :: zu(ngrid,nlayer)      ! u component of the wind
       real    :: zv(ngrid,nlayer)      ! v component of the wind
-      real    :: taucol                ! optical depth at 7 hPa
+      real    :: taucol                ! dust optical depth at the surface
 
       logical,save :: firstcall = .true.
@@ -659,7 +659,7 @@
 
             call photochemistry(nlayer,nq,                            &
-                                ig,lswitch,zycol,szacol,ptimestep,    &
-                                zpress,ztemp,zdens,zmmean,dist_sol,   &
-                                surfdust1d,surfice1d,jo3,taucol,iter)
+                           ig,lswitch,zycol,szacol,ptimestep,         &
+                           zpress,zlocal,ztemp,zdens,zmmean,dist_sol, &
+                           surfdust1d,surfice1d,jo3,taucol,iter)
 
 !        ozone photolysis, for output
Index: trunk/LMDZ.MARS/libf/aeronomars/photochemistry.F90
===================================================================
--- trunk/LMDZ.MARS/libf/aeronomars/photochemistry.F90	(revision 2024)
+++ trunk/LMDZ.MARS/libf/aeronomars/photochemistry.F90	(revision 2027)
@@ -13,7 +13,7 @@
 !*****************************************************************
 
-subroutine photochemistry(nlayer, nq,                                 &
-                          ig, lswitch, zycol, sza, ptimestep, press,  &
-                          temp, dens, zmmean, dist_sol, surfdust1d,   &
+subroutine photochemistry(nlayer, nq,                                   &
+                          ig, lswitch, zycol, sza, ptimestep, press,    &
+                          alt, temp, dens, zmmean, dist_sol, surfdust1d,&
                           surfice1d, jo3, tau, iter)
 
@@ -34,4 +34,5 @@
 real :: ptimestep             ! physics timestep (s)
 real :: press(nlayer)         ! pressure (hpa)
+real :: alt(nlayer)           ! altitude (km)
 real :: temp(nlayer)          ! temperature (k)
 real :: dens(nlayer)          ! density (cm-3)
@@ -40,5 +41,5 @@
 real :: surfdust1d(nlayer)    ! dust surface area (cm2/cm3)
 real :: surfice1d(nlayer)     ! ice surface area (cm2/cm3)
-real :: tau                   ! optical depth at 7 hpa
+real :: tau                   ! reference dust optical depth
 
 !===================================================================
@@ -65,4 +66,5 @@
 
 logical, save :: firstcall = .true.
+logical :: jonline
 
 parameter (nesp = 17)         ! number of species in the chemistry
@@ -141,6 +143,17 @@
 !===================================================================
 
-call photolysis(nlayer, lswitch, press, temp, sza, tau, zmmean, dist_sol, & 
-                rm(:,i_co2), rm(:,i_o3), v_phot)
+jonline = .false.  ! .false. recommended until the end of testing phase
+
+if (jonline) then
+   tau = tau*press(1)/6.1  ! temporary
+   call photolysis_online(nlayer,lswitch, alt, press, temp,                  &
+                          zmmean, i_co2, i_co, i_o, i_o1d, i_o2, i_o3, i_h,  &
+                          i_h2, i_oh, i_ho2, i_h2o2, i_h2o,                  &
+                          i_n, i_n2d, i_no, i_no2, i_n2, nesp, rm,           &
+                          tau, sza, dist_sol, v_phot)
+else
+   call photolysis(nlayer, lswitch, press, temp, sza, tau, zmmean, dist_sol, & 
+                   rm(:,i_co2), rm(:,i_o3), v_phot)
+end if
 
 ! save o3 photolysis for output
